/*
 * Copyright © 2021-2023 Fachhochschule für die Wirtschaft (FHDW) Hannover
 *
 * This file is part of ipspiel24-VierConnects-core.
 *
 * ipspiel24-VierConnects-core is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * ipspiel24-VierConnects-core is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * ipspiel24-VierConnects-core. If not, see <http://www.gnu.org/licenses/>.
 */
package de.fhdw.gaming.ipspiel24.VierConnects.core.moves.factory;

import de.fhdw.gaming.ipspiel24.VierConnects.core.moves.VierConnectsMove;

/**
 * Allows to create Vier Connects moves.
 */
public interface VierConnectsMoveFactory {

    /**
     * Creates a move that places a cross or nought on the Vier Connects board.
     *
     * @param cross         {@code true} if a cross is to be made, {@code false} chooses a nought instead.
     * @param column The column of the field having its state changed.
     */
    VierConnectsMove createPlaceMarkMove(boolean cross, int column);
}
